Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQAsyncIO Class Reference
[obsolete]

The TQAsyncIO class encapsulates I/O asynchronicity. More...

`#include <ntqasyncio.h>`

Inherited by TQDataSink and TQDataSource.

List of all member functions.

## Public Members

- virtual ~TQAsyncIO ()
- void connect ( TQObject * obj, const char * member )

## Protected Members

- void ready ()

## Detailed Description

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

The TQAsyncIO class encapsulates I/O asynchronicity.

The TQt classes for asynchronous input/output provide a simple mechanism to allow large files or slow data sources to be processed without using large amounts of memory or blocking the user interface.

This facility is used in TQt to drive animated images. See TQImageConsumer.

## Member Function Documentation

### TQAsyncIO::~TQAsyncIO ()`[virtual]`

Destroys the async IO object.

### void TQAsyncIO::connect ( TQObject * obj, const char * member )

Ensures that only one object, obj and function, member, can respond to changes in readiness.

### void TQAsyncIO::ready ()`[protected]`

Derived classes should call this when they change from being unready to ready.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.